{% extends 'base.html.twig' %}
{% form_theme form 'bootstrap_4_layout.html.twig' %}
{% block title %}Enseignant index{% endblock %}

{% block body %}
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Affecter un enseignants responsable matière </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form) }}
            {{ form_row(form.filiere,{'value':app.request.get('filiere')}) }}
            {{ form_row(form.niveau,{'value':app.request.get('niveau')}) }}
            {{ form_row(form.semestre,{'value':app.request.get('semestre')}) }}

            <button class="btn btn-primary">{{ button_label|default('Chercher') }}</button>
            <a href="{{ path('affecter_enseignant') }}" class="btn btn-danger"><span
                        class="glyphicon glyphicon-refresh"></span></a>
                        {{ form_end(form) }}

        </div>
    </div>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Matières </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Code matière</th>
                    {#<th>Libelle matière en français</th>#}
                    <th>Libelle matière en arabe</th>
                    <th>Niveau</th>
                    <th>Semestre</th>
                    <th>Coefficient</th>
                    <th>Enseignant</th>
                </tr>
                </thead>
                <tbody>
                {% for matiere in matieres %}
                    <tr>
                        <td>{{ matiere.codeMatiere }}</td>
                        {#<td>{{ matiere.libelleMatiereFr }}</td>#}
                        <td>{{ matiere.libelleMatiereAr }}</td>
                        <td>{{ matiere.niveau.libelleNiveauAr }}</td>
                        <td>{{ matiere.semestre.libelleSemestreAr }}</td>
                        <td>{{ matiere.coefficient }}</td>
                        <td>
                            <select class="affect_enseignant" id_matiere="{{ matiere.id }}"
                                    url_affect="{{ path('save_affect_ensaignant') }}">
                                <option></option>
                                {% for enseignant in enseignants %}
                                    {% set select='' %}
                                    {% if matiere.enseignant.id is defined and  enseignant.id==matiere.enseignant.id %}
                                        {% set select='selected' %}
                                    {% endif %}
                                    <option value="{{ enseignant.id }}" {{ select }}>{{ enseignant.nomPrenomAr }}</option>
                                {% endfor %}
                            </select>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(matieres) }}
            </div>
            {#fenetre modale D'ajout#}

        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}
    <script>

        {% for niveau in niveaux %}
        $('#enseignant_affecter_niveau').append('<option class="filiere_{{ niveau.filiere.id }} display_niveau" value="{{ niveau.id }}">{{ niveau.libelleNiveauAr }}</option>')
        {% endfor %}
        if ($('#enseignant_affecter_filiere').val() != '') {
            $('.filiere_' + $('#enseignant_affecter_filiere').val()).removeClass('display_niveau');
        }

        if ('{{ app.request.get('niveau') }}' != '') {
            $('#enseignant_affecter_niveau option').each(function () {
                //alert($(this).val()+'=={{ app.request.get('niveau') }}')
                if ($(this).val() == '{{ app.request.get('niveau') }}') {
                    $(this).attr('selected', 'selected');
                }
            });
        }
        $('body').on('change', '#enseignant_affecter_filiere', function () {
            var filiere_id = $(this).val();
            $('#enseignant_affecter_niveau option').each(function () {
                $(this).addClass('display_niveau');
                if ($(this).hasClass('filiere_' + filiere_id)) {
                    $(this).removeClass('display_niveau');
                }
            });
        })
        $('body').on('change', '.affect_enseignant', function () {
            var id_matiere = $(this).attr('id_matiere');
            var url_affect = $(this).attr('url_affect');
            var id_enseignant = $(this).val();
            $.ajax({
                url: url_affect,
                method: 'POST',
                data: 'id_matiere=' + id_matiere + '&id_enseignant=' + id_enseignant,
                success: function (html) {
                    alert('Enseignant affécté avec succé');
                }
            });
        })
    </script>
{% endblock %}
